V3 Manage Enhanced Condition Typespatch https://api.elliemae.com/encompass/v3/settings/loan/conditions/typesAdd, update, or delete enhanced condition types.Query ParamsactionstringAction to be performed on the condition type. Possible values are Add, Update, and Delete.reassignToTypeIdstringSpecifies the type ID to reassign to when templateOption is ReAssign.templateOptionstringPossible values are: Delete - To delete (cascade) condition type ID.Reassign - To reassign to a different condition type ID. Must specify reassignToTypeId.viewstringOptional. View type parameter. Enumerations: detail, full, summaryWhen no view parameter is provided, the API will return 204 - No Content with no response body.Body ParamsidstringUnique identifier of the condition, which is guaranteed to be unique. For example: "3AA5BF62-3C0D-46A7-8ADE-03907BE0A5E5" When you specify a condition in a call, you provide the condition ID. The condition ID can be retrieved from the response header when the condition is created.conditionTypestringRead-only. Identifies the type of condition. For example, Preliminary, Underwriting, Post-Closing, etc. The value is obtained from the Enhanced Condition template.titlestringTitle or name of the condition. For example, "Income - Personal Tax Returns". NOTE: At the loan-level, this attribute is RetrieveOnly and cannot be edited.internalIdstringThe internal identifier of the condition that will be displayed to Encompass Web users. Alphanumeric, no special characters. For example, "INC0001".internalDescriptionstringThe internal description of the condition that will be displayed to Encompass Web users. For example, "Collect signed and dated returns with all pages and schedules."printDefinitionsarray of stringsIndicates whether the condition should be printed on internal and/ or external documents. Possible values: InternalPrint, ExternalPrintprintDefinitionsADD stringexternalIdstringThe external identifier of the condition that will be displayed to TPO Users. Should be alphanumeric, no special characters to be allowed.externalDescriptionstringThe external description of the condition that will be displayed to TPO users. For example, "Provide signed and dated tax returns with all pages and schedules."sourcestringIdentifies the source system that created the condition. For example, "Fannie Mae".applicationobjectIdentifies the borrower pair associated with this condition.ApplicationReferenceContract objectcategorystringIdentifies the category associated with the condition. Values are defined within Encompass settings and can vary between lenders and investors. Some example values are: Assets Credit Income Legal Misc Property priorTostringIdentifies when the condition is required to be cleared or waived. Values are defined within Encompass settings and can vary between lenders and investors. Example values are: Approval Docs Funding Closing Purchase recipientstringRecipient of the condition. For example, "MERS". Values are defined within Encompass settings and can vary between lenders and investors.startDatestringIdentifies the date the condition takes effect. For example, 2019-11-24T04:14:30ZendDatestringIdentifies the date that the condition is no longer required. For example, 2019-12-24T04:14:30ZrequestedFromstringIdentifies the person or entity that the condition is requested from. For example, "Borrower"daysToReceiveintegerNumber of days the condition is expected to be received.statusstringRetrieveOnly. Name of the current status type of the condition. For example, "Requested"statusDatestringRetrieveOnly. Date and time that the current status was applied (should be stored in GMT timezone). For example, 2019-11-24T04:14:30Z.statusOpenbooleanRetrieveOnly. Indicates whether the condition is open or satisfied based on the definition. Read-only.truefalsecommentsCountstringRetrieveOnly. Total number of comments for the condition.assignedToarray of objectsList of documents that the condition is assigned to.assignedToADD objectcreatedByobjectThe Entity Reference contract describing the user or role who created the condition or document.EntityReferenceContract objectcreatedDatestringDate and time the condition was created. For example, 2019-11-24T04:14:30ZlastModifiedByobjectRetrieveOnly. Information about the last modification made to the condition.EntityReferenceContract objectlastModifiedDatestringRetrieveOnly. Date and time the condition was last modified. For example, 2019-11-24T04:14:30ZisRemovedbooleanIndicates whether the condition has been removed from the loan.truefalsetrackingarray of objectstrackingADD objectcommentsarray of objectscommentsADD objectdefinitionsobjectThe Enhanced Condition Definition contract.EnhancedConditionDefinitionContract objectsourceOfConditionstringThe source of condition is populated at the time when the enhanced condition is added. The following are available values: User Manual ConditionList AutomatedByUser FHA DUFindings EarlyCheckFindings LPAFindings FHA Findings LCLAFindings Duplicate - Duplicate is always set internally when Condition is created with action=duplicate. This is a readOnly attribute for users of Encompass Developer Connect. InvestorDelivery (Service-to-Service only) AutomatedByRule (Service-to-Service only) PartnerConnect (Service-to-Service only) HeadersAuthorizationstringrequiredBearer token.Responses 200OK 400Bad Request 403ForbiddenUpdated 4 months ago